Lintian ReportsBETA

Wmissing-prerequisite-for-gfortran-module

The tag is present in Lintian version 2.104.244. That is the most recent version we know about.

The installation package ships a GFORTRAN module but does not depend on gfortran-mod-<n>, where <n> is the module version (e.g. gfortran-mod-14 for modules built using GCC 5).

Refer to Bug#796352, Bug#714730, and https://salsa.debian.org/science-team/dh-fortran-mod/blob/debian/master/dh_fortran_mod.in for details.

Visibility: warning

Check: languages/fortran/gfortran

The following 14 source packages in the archive triggered the tag 519 times.

We found 325 overrides. The tag performed 37% of the time.